Create a new linked project
POST
/linkedprojectsPayment Profile to add
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, LinkedprojectsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new LinkedprojectsApi(config);
const result = await api.createLinkedProject({ "linkedprojectPayload": { "imProjectKey": "example", "project": 123, "company": 123, "imProjectId": 123, "createdBy": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/linkedprojects?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "im_project_key": "example", "project": 123, "company": 123, "settings": { "issue_types": [] }, "im_project_id": 123, "created_by": 123, "created_at": "example", "im_instance_id": "example"}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
im_project_key |
string | Yes | Type of entity |
project |
number | Yes | Entity ID |
company |
number | Yes | Entity ID |
settings |
Linked Project Settings | No | — |
settings.issue_types |
Array of number | Yes | Id of issue type |
im_project_id |
number | Yes | Entity ID |
created_by |
number | Yes | Entity ID |
created_at |
string | No | Time when the activity was performed |
im_instance_id |
string | No | Which instance is used for bidirectional linking (required for jira) |
Response
Section titled “Response”200 — Created Payment Profile
| Field | Type | Required | Description |
|---|---|---|---|
im_project_key |
string | Yes | Type of entity |
project |
Project | Yes | — |
project.id |
number | Yes | — |
project.name |
string | Yes | — |
project.description |
string | No | — |
project.archived |
boolean | Yes | — |
project.team |
Array of Project User Minified | No | — |
project.activity |
string | No | — |
project.created_at |
string | Yes | — |
project.updated_at |
string | Yes | — |
project.is_sample |
boolean | No | Indicates that the project is a sample project or not |
company |
Company | Yes | — |
company.id |
number | Yes | — |
company.name |
string | Yes | — |
company.plan |
string | Yes | Values: free, premium. |
company.size |
number | No | — |
company.planStatus |
string | Yes | Values: active, expired, trial. |
company.owner |
User | No | — |
company.owner.id |
number | Yes | — |
company.owner.name |
string | Yes | — |
company.owner.about_me |
string | No | — |
company.owner.email |
string | Yes | If email is modified then a confirmation should be sent |
company.owner.avatar |
Upload | No | — |
company.owner.username |
string | No | — |
company.owner.last_active |
string | No | — |
company.owner.confirmed |
boolean | No | — |
company.owner.rank |
string | No | Values: User, Administrator. |
company.owner.projects |
Project User Minified Collection | No | — |
company.owner.created_at |
string | No | — |
company.owner.is_guest |
number | No | — |
company.trial_opted |
boolean | No | — |
company.trial_started_on |
string | No | — |
company.created_at |
string | No | — |
settings |
Linked Project Settings | No | — |
settings.issue_types |
Array of number | Yes | Id of issue type |
im_project_id |
number | Yes | Entity ID |
created_by |
User | Yes | — |
created_by.id |
number | Yes | — |
created_by.name |
string | Yes | — |
created_by.about_me |
string | No | — |
created_by.email |
string | Yes | If email is modified then a confirmation should be sent |
created_by.avatar |
Upload | No | — |
created_by.avatar.id |
number | Yes | — |
created_by.avatar.name |
string | Yes | — |
created_by.avatar.hash |
string | Yes | — |
created_by.avatar.ext |
string | Yes | — |
created_by.avatar.mime |
string | Yes | — |
created_by.avatar.size |
string | Yes | — |
created_by.avatar.url |
string | Yes | — |
created_by.avatar.created_by |
number | No | — |
created_by.avatar.created_at |
string | Yes | — |
created_by.avatar.updated_at |
string | Yes | — |
created_by.username |
string | No | — |
created_by.last_active |
string | No | — |
created_by.confirmed |
boolean | No | — |
created_by.rank |
string | No | Values: User, Administrator. |
created_by.projects |
Project User Minified Collection | No | — |
created_by.projects[].id |
number | Yes | — |
created_by.projects[].user |
number | Yes | — |
created_by.projects[].project |
number | Yes | — |
created_by.projects[].role |
number | Yes | — |
created_by.projects[].created_at |
string | Yes | — |
created_by.projects[].updated_at |
string | Yes | — |
created_by.created_at |
string | No | — |
created_by.is_guest |
number | No | — |
created_at |
string | No | Time when the activity was performed |
{ "im_project_key": "example", "project": { "id": 123, "name": "example", "description": "example", "archived": true, "team": [], "activity": "example", "created_at": "example", "updated_at": "example", "is_sample": true }, "company": { "id": 123, "name": "example", "plan": "free", "size": 123, "planStatus": "active", "owner": { "id": 123, "name": "example", "about_me": "example", "email": "example", "avatar": {}, "username": "example", "last_active": "2026-10-19T09:00:00Z", "confirmed": true, "rank": "User" }, "trial_opted": true, "trial_started_on": "example", "created_at": "example" }, "settings": { "issue_types": [] }, "im_project_id": 123, "created_by": { "id": 123, "name": "example", "about_me": "example", "email": "example", "avatar": { "id": 123, "name": "example", "hash": "example", "ext": "example", "mime": "example", "size": "example", "url": "example", "created_by": 123, "created_at": "example" }, "username": "example", "last_active": "2026-10-19T09:00:00Z", "confirmed": true, "rank": "User" }, "created_at": "example"}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |